package com.hai.service.pay.impl;

import com.hai.dao.HighGoldRecMapper;
import com.hai.entity.HighGoldRec;
import com.hai.entity.HighGoldRecExample;
import com.hai.service.HighGoldRecService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/3/27 10:03
 */
@Service("highGoldRecService")
public class HighGoldRecServiceImpl implements HighGoldRecService {

    @Resource
    private HighGoldRecMapper highGoldRecMapper;

    @Override
    public void insertGoldRec(HighGoldRec highGoldRec) {
        highGoldRecMapper.insert(highGoldRec);
    }

    @Override
    public List<HighGoldRec> getGoldRec(Map<String, Object> map) {
        HighGoldRecExample example = new HighGoldRecExample();

        return highGoldRecMapper.selectByExample(example);
    }
}
